package de.samdev.colorrunner.game.world;

import java.util.ArrayList;
import java.util.List;

import de.samdev.colorrunner.game.world.entities.CRGameEntity;
import de.samdev.colorrunner.game.world.entities.gameentities.PlayerEntity;

public class CRGameWorld {
	public List<CRGameEntity> entities = new ArrayList<CRGameEntity>();
	
	public FPSCounter fps = new FPSCounter();
	
	public CRGameWorld() {

		addEntity(new PlayerEntity());
	}

	public void update(float delta) {
		fps.Inc();
		
		for (CRGameEntity ent : entities) {
			ent.update(delta);
		}
//        Gdx.app.log("GameWorld", "update FPS[" + (int)fps.getFPS() + "] DELTA:[" + delta + "]");
	}

	public void addEntity(CRGameEntity ent) {
		entities.add(ent);
	}
}
